<template>
    <div class="row clear-fix">
        <div class="col-lg-12 col-md-12">
            <div
                v-if="error"
                class="alert alert-danger alert-dismissible fade show"
                role="alert"
            >
                {{ error }}
                <button
                    type="button"
                    class="close"
                    data-dismiss="alert"
                    aria-label="Close"
                    @click="error = ''"
                >
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div
                v-if="success"
                class="alert alert-success alert-dismissible fade show"
                role="alert"
            >
                {{ success }}
                <button
                    type="button"
                    class="close"
                    data-dismiss="alert"
                    aria-label="Close"
                    @click="success = ''"
                >
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
        <div v-if="step == 0" class="col-lg-12 col-md-12">
            <p class="text-center text-warning">
                <i style="font-size:4rem" class="zmdi zmdi-alert-triangle"></i>
            </p>
            <div class="row">
                <div v-if="u.email_verified_at" class="col-lg-12 col-md-12">
                    <p class="text-center mx-5">
                        {{ field.msg1}}
                    </p>
                    <ul class="mx-5 my-5">
                        <li>{{field.l1}}</li>
                        <li>{{ field.l2}}</li>
                    </ul>
                    <button
                        @click.prevent="step += 1"
                        class="btn btn-primary btn-block"
                    >
                        {{field.next}}
                    </button>
                </div>
                <div v-if="!u.email_verified_at" class="col-lg-12 col-md-12">
                    <p class="text-center mx-5">
                        {{field.msg2}}
                    </p>
                    <button
                        @click.prevent="resendEmail()"
                        class="btn btn-primary btn-block"
                    >
                        {{field.resend_email}}
                    </button>
                    <form id="resendVerificationEmailModule" action="/email/resend" method="POST" class="d-none">
                        <input type="hidden" name="_token" id="token" :value="token" />
                    </form>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" v-if="step == 1">
            <div class="row">
                <div class="col-lg-6 align-self-center">
                    <h6 class="text-center">{{field.profile_pic}}</h6>
                    <img
                        v-if="i.card_id"
                        alt=""
                        :src="'data:image/webm;base64,' + i.card_id"
                        class="img-fluid"
                    />
                    <button v-if="i.card_id" class="btn btn-block btn-primary">
                        {{field.change_pic}}
                    </button>
                    <input
                        @change.prevent="cargar1"
                        type="file"
                        accept=".jpg, .jpeg"
                        class="form-control"
                    />
                </div>
                <div class="col-lg-6 align-self-center">
                    <h6 class="text-center">{{field.card_img}}</h6>

                    <img
                        v-if="i.original_picture"
                        alt=""
                        :src="'data:image/webm;base64,' + i.original_picture"
                        class="img-fluid"
                    />
                    <button
                        v-if="i.original_picture"
                        class="btn btn-block btn-primary"
                    >
                        {{field.change_pic}}
                    </button>
                    <input
                        @change.prevent="cargar2"
                        type="file"
                        accept=".jpg, .jpeg"
                        class="form-control"
                    />
                </div>
                <button
                    v-if="i.card_id && i.original_picture"
                    class="btn btn-primary btn-block"
                    @click.prevent="update"
                >
                    {{field.load_info}}
                </button>
            </div>
        </div>
        <div v-if="step == 2" class="col-lg-12 col-md-12">
            <p class="text-center text-primary">
                <i style="font-size:4rem" class="zmdi zmdi-info"></i>
            </p>
            <p class="text-center mx-5">
                {{field.msg3}}
            </p>
            <button
                v-if="a.role < 100"
                @click.prevent="step += 1"
                class="btn btn-primary btn-block"
            >
                {{field.next}}
            </button>
        </div>
        <div class="col-lg-12 col-md-12" v-if="step == 3 && a.role < 100">
            <div class="row">
                <div class="col-lg-6 align-self-center">
                    <h6 class="text-center">{{field.profile_pic}}</h6>
                    <img
                        v-if="u.card_id"
                        alt=""
                        :src="'data:image/webm;base64,' + u.card_id"
                        class="img-fluid"
                    />
                    <a
                        :href="'data:image/webm;base64,' + u.card_id"
                        target="_blank"
                        class="btn btn-block btn-primary"
                        rel="noopener noreferrer"
                    >
                        {{field.download_img}}</a
                    >
                </div>
                <div class="col-lg-6 align-self-center">
                    <h6 class="text-center">{{field.card_img}}</h6>
                    <img
                        v-if="u.original_picture"
                        alt=""
                        :src="'data:image/webm;base64,' + u.original_picture"
                        class="img-fluid"
                    />
                    <a
                        :href="'data:image/webm;base64,' + u.original_picture"
                        target="_blank"
                        class="btn btn-block btn-primary"
                        rel="noopener noreferrer"
                    >
                        {{field.download_img}}</a
                    >
                </div>
                <button
                    class="btn btn-primary btn-block"
                    @click.prevent="verificar"
                >
                    {{field.verify_user}}
                </button>
            </div>
        </div>
        <div v-if="step == 4" class="col-lg-12 col-md-12">
            <p class="text-center text-success">
                <i style="font-size:4rem" class="zmdi zmdi-check"></i>
            </p>
            <p class="text-center mx-5">
                {{field.msg4}}
            </p>
        </div>
    </div>
</template>
<script>
export default {
    props: ["auth", "user",'tkn',"lang"],
    created() {
        console.log(this.u);
        this.get();
    },
    mounted() {
        
    },
    data() {
        return {
            token: this.tkn,
            a: this.auth,
            u: this.user,
            i: {
                card_id: "",
                original_picture: ""
            },
            step: 0,
            success: "",
            error: "",
            field: this.lang.verification_user
        };
    },
    methods: {
        get() {
            
            if (this.a.role > 100) {
                if (this.u.card_id && this.u.original_picture) {
                    if (!this.u.verification) {
                        this.step = 2;
                    } else {
                        this.step = 4;
                    }
                }
            } else {
                if (this.u.card_id && this.u.original_picture) {
                    if (!this.u.verification) {
                        this.step = 3;
                    } else {
                        this.step = 4;
                    }
                }
            }
        },
        update() {
            axios
                .put("/api/users/verification/" + this.u.id, this.i)
                .then(res => {
                    this.success = res.message;
                    setTimeout(() => {
                        this.step = 2;
                    }, 3000);
                });
        },
        verificar() {
            let i = {
                verification: true
            };
            axios.put("/api/users/verification/" + this.u.id, i).then(res => {
                this.success = res.message;
                setTimeout(() => {
                    this.step = 4;
                }, 3000);
            });
        },
        async cargar1(e) {
            if (e.target.files.length > 0) {
                let f = e.target.files[0];
                let r = new FileReader();
                await r.readAsDataURL(f);
                r.onload = () => {
                    this.i.card_id = r.result.split(",")[1];
                };
            }
        },
        async cargar2(e) {
            if (e.target.files.length > 0) {
                let f = e.target.files[0];
                let r = new FileReader();
                await r.readAsDataURL(f);
                r.onload = () => {
                    this.i.original_picture = r.result.split(",")[1];
                };
            }
        },
        resendEmail(){
            document.getElementById('resendVerificationEmailModule').submit();
        }
    }
};
</script>
<style></style>
